package com.objis.demostruts2.interceptor;

import com.opensymphony.xwork2.ActionInvocation;
import com.opensymphony.xwork2.interceptor.Interceptor;

public class MonLogIntercepteur implements Interceptor{

	private static final long serialVersionUID = 1L;

	public String intercept(ActionInvocation invocation) throws Exception {

		String className = invocation.getAction().getClass().getName();
		long startTime = System.currentTimeMillis();
		System.out.println("AVANT appel de l'action: " + className);

		String result = invocation.invoke();

		long endTime = System.currentTimeMillis();
		System.out.println("AVANT appel de l'action: " + className
				+ " Dure : " + (endTime - startTime) + " ms");

		return result;
	}

	public void destroy() {
		System.out.println("Destruction de MonLogIntercepteur...");
	}
	public void init() {
		System.out.println("Initialisation de MonLogIntercepteur...");
	}
}


